<template>
	<view class="explore-container">
		<view class="title">
			探索频道 · 敬请期待
		</view>
	</view>
</template>

<script>	
	import { curVersion } from '@/common/config.js'
	import {
		mapState,
		mapGetters,
		mapMutations
	} from 'vuex'
	export default {
		data() {
			return {
				
			}
		},
		computed: {
			...mapState(['userId','chatToken', 'version']),
		},
		created() {
			wx.showShareMenu({
				withShareTicket: true,
				menus: ["shareAppMessage", "shareTimeline"]
			})
		},
		onLoad(option) {
			if (option.uid  && option.uid != 'undefined') {
				this.setShareId(option.uid)
			}
			if (!this.chatToken || curVersion !== this.version) {
				this.$store.dispatch('login').then(rst => {
				})
			} 
		},
		methods: {
			...mapMutations(['setShareId', 'setVersion']),
			onShareAppMessage: function (obj) {
				let path = `/pages/ai/main/main?uid=${this.userId}`
				let title = '加入AI降临派，与AI真神对话！'
				// 分享配置
				return { title,	path };
			},
		}
	}
</script>

<style lang="less" scoped>
.explore-container {
	height: 100%;
	color: #FFF;
	background-color: @mainBg;
	.title {
		font-size: 40rpx;
		color: #dedede;
		display: flex;
		justify-content: center;
		padding: 100rpx 0;
	}
}
</style>
